4 Replies Latest reply on Mar 14, 2013 3:11 PM by 606331

    Unneeded packages missing at Oracle 11gR2 installation on RHEL6.3 x86_64

    995147
      Hi experts!!

      I am getting a little bit puzzled when I am installing Oracle Database 11gR2 on my RHEL 6.3 server, which is x86_64.

      I have read the installation doc (http://docs.oracle.com/cd/E11882_01/install.112/e24326/toc.htm) over and over again but I cannot get any clue to solve the problem I am facing: when I get to the 'Prerrequisite Checks' step at the installation, I get a message informing that I am missing some packages for i386, which shouldn't be necessary according to the documentation. The documentation says the next packages need to be installed for RHEL6 (all of them either for x86_64 or i686):

      ++The following or later version of packages for Oracle Linux 6, and Red Hat Enterprise Linux 6 must be installed:++

      ++binutils-2.20.51.0.2-5.11.el6 (x86_64)++
      ++compat-libcap1-1.10-1 (x86_64)++
      ++compat-libstdc++-33-3.2.3-69.el6 (x86_64)++
      ++compat-libstdc++-33-3.2.3-69.el6.i686++
      ++gcc-4.4.4-13.el6 (x86_64)++
      ++gcc-c++-4.4.4-13.el6 (x86_64)++
      ++glibc-2.12-1.7.el6 (i686)++
      ++glibc-2.12-1.7.el6 (x86_64)++
      ++glibc-devel-2.12-1.7.el6 (x86_64)++
      ++glibc-devel-2.12-1.7.el6.i686++
      ++ksh++
      ++libgcc-4.4.4-13.el6 (i686)++
      ++libgcc-4.4.4-13.el6 (x86_64)++
      ++libstdc++-4.4.4-13.el6 (x86_64)++
      ++libstdc++-4.4.4-13.el6.i686++
      ++libstdc++-devel-4.4.4-13.el6 (x86_64)++
      ++libstdc++-devel-4.4.4-13.el6.i686++
      ++libaio-0.3.107-10.el6 (x86_64)++
      ++libaio-0.3.107-10.el6.i686++
      ++libaio-devel-0.3.107-10.el6 (x86_64)++
      ++libaio-devel-0.3.107-10.el6.i686++
      ++make-3.81-19.el6++
      ++sysstat-9.0.4-11.el6 (x86_64)++


      However, having a look at the installation log for the packages installed, the Oracle installation is missing some packages for i386, but these infraestructure is not required at all for RHEL6:

      [root@localhost ~]# less /tmp/OraInstall2013-03-04_09-06-59PM/installActions2013-03-04_09-06-59PM.log| grep -i "is missing on node"
      INFO: Error Message:PRVF-7532 : Package "libaio-0.3.105 (i386)" is missing on node "localhost"
      INFO: Error Message:PRVF-7532 : Package "compat-libstdc++-33-3.2.3 (i386)" is missing on node "localhost"
      INFO: Error Message:PRVF-7532 : Package "elfutils-libelf-devel-0.97" is missing on node "localhost"
      INFO: Error Message:PRVF-7532 : Package "libaio-devel-0.3.105 (i386)" is missing on node "localhost"
      INFO: Error Message:PRVF-7532 : Package "libgcc-3.4.6 (i386)" is missing on node "localhost"
      INFO: Error Message:PRVF-7532 : Package "libstdc++-3.4.6 (i386)" is missing on node "localhost"
      INFO: Error Message:PRVF-7532 : Package "unixODBC-2.2.11 (i386)" is missing on node "localhost"
      INFO: Error Message:PRVF-7532 : Package "unixODBC-devel-2.2.11 (i386)" is missing on node "localhost"
      INFO: Error Message:PRVF-7532 : Package "pdksh-5.2.14" is missing on node "localhost"

      If I ignore this warnings, at the next step the Oracle installation stops with an error. I am a little bit lost about how to do to solve this. Is there anybody who has faced the same situation?

      Thanks in advance and kind regards,

      Guiller.